---
title: My Venture into Dance Dance Revolution
date: 2024-05-02T15:25:14.268
draft: true
toc: true
tags: ["rhythm-games", "life"]
---

I'm a huge fan of rhythm games.
Up til now, I've mainly been playing PC / mobile rhythm games such as [osu!], [Muse Dash], [Project Sekai], [Arcaea], etc.
But since the pandemic has let up, I've been able to go to arcades more frequently and found myself climbing the levels in games like [Chunithm], [Sound Voltex], [WACCA], and dance games like [Dance Dance Revolution (DDR)][DDR].

[osu!]: https://osu.ppy.sh/
[Muse Dash]: https://store.steampowered.com/app/774171/Muse_Dash/
[Project Sekai]: https://www.colorfulstage.com/
[Arcaea]: https://arcaea.lowiro.com
[Chunithm]: https://en.wikipedia.org/wiki/Chunithm
[Sound Voltex]: https://en.wikipedia.org/wiki/Sound_Voltex
[WACCA]: https://en.wikipedia.org/wiki/Wacca_(video_game)
[DDR]: https://en.wikipedia.org/wiki/Dance_Dance_Revolution

Since January of this year (2024), I have been going to the [Dave and Buster's in Maple Grove][2] pretty regularly to play DDR.
It's a great rhythm game that's been around for about as long as I've been alive, and it's also a nice workout.
I regularly hit around 1,000 cal burned per session according to the in-game tracker.

[2]: https://www.daveandbusters.com/us/en/about/locations/maple-grove

Today I want to share some basics of how the game works as well as going more in-depth about some things I've learned in the last 4 months or so of playing this game more seriously.

The game
---

The game itself certainly doesn't need any introduction, but I'm going to give one anyway.
It's a four-button vertical scrolling rhythm game produced by Konami's rhythm game division [BEMANI].
Players step on the buttons to the music, matching arrows on the screen.

[Bemani]: https://en.wikipedia.org/wiki/Bemani

![DDR cabinet](./cab.jpg)

The game is conceptually very simple, but like all rhythm games, has a high skill ceiling.
Higher level charts are faster and introduce more technical moves such as crossovers.

Logistics
---

I primarily play at my local Dave and Busters, but I discovered that not all Dave and Busters locations have an online DDR machine.
For the Minneapolis area, the Discord has some pretty up-to-date info on where the locations of working cabs are, check the [zenius-i-vanisher] website.

[MNDiscord]: https://discord.com/invite/bAQ9S9mRZp
[zenius-i-vanisher]: https://zenius-i-vanisher.com/v5.2/arcades.php

Although you could play on any cab, I've been looking for online cabs in particular.
The online cabs let you play with an _eAmusement Pass_, which comes with a lot of features I'm going to list below.
But unless you're a regular at a Round 1, these suckers are hard to find.
Your best bet is probably to order a card from online if you don't have a Round 1 nearby.

![eAmusement card](./eamuse.png)

Having one of these cards means:

- Saves scores across machines (**BIG**)
- Saves configuration settings
- You can unlock songs
- You don't have to skip the tutorial each time
- More granular scroll speed changes

You can also sign up for a more premium course for more features, but this has a [more involved registration process][1].
This gives you:

[1]: https://3icecream.com/tutorial/add-basic-course-guide

- Ability to see score history (**BIG**)
- Ability to add rivals and see their scores live in game
- Darker in-game background
- Fast/slow indicators in game

The ability to see score history is big, because it means you can track your scores, which in my opinion is a big part of the self-improvement aspect of continuing to play this game.

Also, Konami frequently performs maintenance on their servers, which means online capabilities like score saving will not be available.
Make sure to have these dates down.

Gameplay
---

The most basic elements of DDR are:

- Arrows
- Freeze
- Jumps

Goals
---

One of the things I like about DDR is all the different ways there are to enjoy it.
At a high level, here are some I want to share here:

- Playing for high level clears
- Playing for high accuracy clears
- Playing for completion
- Playing for unlocks
- Playing courses
- Playing doubles
- Playing for unofficial ranks

When I first started playing this game, all I knew was about pushing skill level, and that meant trying to go for as high of a level as I could clear.
As I pushed outside of my comfort zone for clears, I would get more and more tired, but the thrill from clearing high level charts was well worth the exhaustion.

Since DDR is still at its core a rhythm game, an important aspect of stepping on arrows is how _accurate_ the timing of your steps are.
Steps are graded on a scale from
    <span style="color:#C70039">MISS</span>,
    <span style="color:#003399">GOOD</span>,
    <span style="color:#336600">GREAT</span>,
    <span style="color:#FFCC33; font-weight: bold; text-shadow:0px 0px 1px black">PERFECT</span>, and
    <span style="color:#FFFFCC; font-weight: bold; text-shadow:0px 0px 1px black">MARVELOUS</span>,
with a smaller hit window for the higher judgements.
Lamps are awarded for clearing charts with no lower judgements:

- No MISS = Full Combo (blue lamp)
- No GOOD or lower = Great Full Combo (green lamp)
- No GREAT or lower = Perfect Full Combo (gold lamp)
- No PERFECT or lower = Marvelous Full Combo (white lamp)

The coveted Marvelous Full Combo, or MFC for short, means you cleared the chart with a perfect score of 1,000,000.
The best part about trying to achieve these lamps is that there is no difficulty minimum for this: you can achieve lamps on _any_ chart of _any_ difficulty.

I've been playing around 16s lately, but for accuracy, I usually play around 9s to 11s in order to achieve high accuracy.
I just recently achieved my first Perfect Full Combo (PFC):

![Perfect full combo](./pfc.jpeg)

Not only are individual songs awarded lamps for completion, but entire folders are awarded lamps for the completion of all songs within it.
For example, to achieve the yellow clear lamp for the level 14 folder, I had to clear _all_ unlocked charts that were level 14:

![14 clear lamp](./14clear.jpeg)

This means that even if you get stuck at pushing high levels or high accuracy, you can still enjoy the game by clearing difficulties you already feel comfortable with while discovering new songs.
Playing for completion really pushed me to explore the songs I didn't already know in this game.

Techs
---

- Crossovers
- Footswitches
- Scoobies

Tools
---

[3icecream] is an indispensable tool when it comes to DDR.
It has the following features:

[3icecream]: https://3icecream.com

- Scrapes your scores from Konami's website and displays them in listings
- Provides links to Youtube videos for charts
- Calculates relative chart difficulties based on user statistics for charts of the same level
- Exports all scores as CSV

Community
---

Wrap Up
---